Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class EntityImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.EntityImpl

All Implemented Interfaces:
  Serializable, Cloneable, Entity, EventTarget, Node, NodeList

Direct Known Subclasses:
  DeferredEntityImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class EntityImpl

extends ParentNode
implements Entity

Entity nodes hold the reference data for an XML Entity -- either parsed or unparsed. The nodeName (inherited from Node) will contain the name (if any) of the Entity. Its data will be contained in the Entity's children, in exactly the structure which an EntityReference to this name will present within the document's body.

Note that this object models the actual entity, _not_ the entity declaration or the entity reference.

An XML processor may choose to completely expand entities before the structure model is passed to the DOM; in this case, there will be no EntityReferences in the DOM tree.

Quoting the 10/01 DOM Proposal,

> "The DOM Level 1 does not support editing Entity nodes; if a user wants to make changes to the contents of an Entity, every related EntityReference node has to be replaced in the structure model by a clone of the Entity's contents, and then the desired changes must be made to each of those clones instead. All the descendants of an Entity node are readonly."

I'm interpreting this as: It is the parser's responsibilty to call the non-DOM operation setReadOnly(true,true) after it constructs the Entity. Since the DOM explicitly decided not to deal with this, _any_ answer will involve a non-DOM operation, and this is the simplest solution.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected String` | `actualEncoding` Deprecated. Actual Encoding
`protected String` | `baseURI` Deprecated. base uri
`protected String` | `encoding` Deprecated. Encoding
`protected String` | `name` Deprecated. Entity name.
`protected String` | `notationName` Deprecated. Notation name.
`protected String` | `publicId` Deprecated. Public identifier.
`protected String` | `systemId` Deprecated. System identifier.
`protected String` | `version` Deprecated. Version

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`EntityImpl(CoreDocumentImpl ownerDoc, String name)` Deprecated. Factory constructor.

Method Summary
`Node` | `cloneNode(boolean deep)` Deprecated. Clone node.
`String` | `getActualEncoding()` Deprecated. An attribute specifying the actual encoding of this entity, when it is an external parsed entity.
`String` | `getBaseURI()` Deprecated. DOM Level 3 WD - Experimental.
`String` | `getEncoding()` Deprecated. DOM Level 3 WD - experimental the encoding of this entity, when it is an external parsed entity.
`String` | `getNodeName()` Deprecated. Returns the entity name
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`String` | `getNotationName()` Deprecated. Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them.
`String` | `getPublicId()` Deprecated. The public identifier associated with the entity.
`String` | `getSystemId()` Deprecated. The system identifier associated with the entity.
`String` | `getVersion()` Deprecated. DOM Level 3 WD - experimental the version number of this entity, when it is an external parsed entity.
`void` | `setActualEncoding(String actualEncoding)` Deprecated. An attribute specifying the actual encoding of this entity, when it is an external parsed entity.
`void` | `setBaseURI(String uri)` Deprecated. NON-DOM: set base uri
`void` | `setEncoding(String value)` Deprecated. DOM Level 3 WD - experimental encoding - An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity.
`void` | `setNotationName(String name)` Deprecated. DOM Level 2: Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them.
`void` | `setPublicId(String id)` Deprecated. DOM Level 2: The public identifier associated with the entity.
`void` | `setSystemId(String id)` Deprecated. DOM Level 2: The system identifier associated with the entity.
`void` | `setVersion(String value)` Deprecated. DOM Level 3 WD - experimental version - An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity.

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, isEqualNode, item, normalize, removeChild, replaceChild, setReadOnly, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Entity
`getInputEncoding, getXmlEncoding, getXmlVersion`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### name

    protected String name

  Deprecated.
  Entity name.

### publicId

    protected String publicId

  Deprecated.
  Public identifier.

### systemId

    protected String systemId

  Deprecated.
  System identifier.

### encoding

    protected String encoding

  Deprecated.
  Encoding

### actualEncoding

    protected String actualEncoding

  Deprecated.
  Actual Encoding

### version

    protected String version

  Deprecated.
  Version

### notationName

    protected String notationName

  Deprecated.
  Notation name.

### baseURI

    protected String baseURI

  Deprecated.
  base uri

Constructor Detail

### EntityImpl

    public EntityImpl(CoreDocumentImpl ownerDoc,
                      String name)

  Deprecated.
  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the entity name

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### cloneNode

    public Node cloneNode(boolean deep)

  Deprecated.
  Clone node.

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `ParentNode`
  See Also:
    `

    Example: Cloning a Text node will copy both the node and the text it contains.

    Example: Cloning something that has children -- Element or Attr, for example -- will _not_ clone those children unless a "deep clone" has been requested. A shallow clone of an Attr node will yield an empty Attr of the same name.

    NOTE: Clones will always be read/write, even if the node being cloned is read-only, to permit applications using only the DOM API to obtain editable copies of locked portions of the tree.

    `

### getPublicId

    public String getPublicId()

  Deprecated.
  The public identifier associated with the entity. If not specified, this will be null.

  Specified by:
    `getPublicId` in interface `Entity`

### getSystemId

    public String getSystemId()

  Deprecated.
  The system identifier associated with the entity. If not specified, this will be null.

  Specified by:
    `getSystemId` in interface `Entity`

### getVersion

    public String getVersion()

  Deprecated.
  DOM Level 3 WD - experimental the version number of this entity, when it is an external parsed entity.

### getEncoding

    public String getEncoding()

  Deprecated.
  DOM Level 3 WD - experimental the encoding of this entity, when it is an external parsed entity.

### getNotationName

    public String getNotationName()

  Deprecated.
  Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them. Parsed entities, which are in XML format, don't need this and set it to null.

  Specified by:
    `getNotationName` in interface `Entity`

### setPublicId

    public void setPublicId(String id)

  Deprecated.
  DOM Level 2: The public identifier associated with the entity. If not specified, this will be null.

### setEncoding

    public void setEncoding(String value)

  Deprecated.
  DOM Level 3 WD - experimental encoding - An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity. This is null otherwise

### getActualEncoding

    public String getActualEncoding()

  Deprecated.
  An attribute specifying the actual encoding of this entity, when it is an external parsed entity. This is `null` otherwise.

  Since:
    DOM Level 3

### setActualEncoding

    public void setActualEncoding(String actualEncoding)

  Deprecated.
  An attribute specifying the actual encoding of this entity, when it is an external parsed entity. This is `null` otherwise.

  Since:
    DOM Level 3

### setVersion

    public void setVersion(String value)

  Deprecated.
  DOM Level 3 WD - experimental version - An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity. This is null otherwise

### setSystemId

    public void setSystemId(String id)

  Deprecated.
  DOM Level 2: The system identifier associated with the entity. If not specified, this will be null.

### setNotationName

    public void setNotationName(String name)

  Deprecated.
  DOM Level 2: Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them. Parsed entities, which are in XML format, don't need this and set it to null.

### getBaseURI

    public String getBaseURI()

  Deprecated.
  DOM Level 3 WD - Experimental. Retrieve baseURI

  Specified by:
    `getBaseURI` in interface `Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`

### setBaseURI

    public void setBaseURI(String uri)

  Deprecated.
  NON-DOM: set base uri

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD